<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listCodices") label="Codices"]]
  <li>
    Select a codex
  </li>
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Select a codex"]]

<semantic-search>
  <semantic-search-form-query
    query-template='{
        "queryString": "
          SELECT ?subject WHERE { 
            ?subject a ismi:Codex; 
              crm:P1_is_identified_by ?id.
            ?id crm:P2_has_type ismiidtype:preferred-identifier;
              rdfs:label ?identifier.
            ?subject crm:P46i_forms_part_of ?collection.
            ?collection crm:P49_has_former_or_current_keeper ?repository.
          }",
        "arguments": {
          "repository": {"type": "xsd:anyURI", "optional": true},
          "collection": {"type": "xsd:anyURI", "optional": true},
          "identifier": {"type": "xsd:string", "optional": true}
        }
    }'
    fields="[[fieldDefinitions
      repository='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_repository'
      collection='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_collection'
      identifier='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/codex_identifier'
    ]]">

    <semantic-form-autocomplete-input placeholder="Select repository (optional)" for="repository"></semantic-form-autocomplete-input>
    <semantic-form-autocomplete-input placeholder="Select collection (optional)" for="collection"></semantic-form-autocomplete-input>
    <semantic-form-text-input for="identifier" placeholder="Select identifier (optional)"></semantic-form-text-input>

    <button type='button' name='submit' className='btn btn-default'>Search</button>
  </semantic-search-form-query>
  
  <semantic-search-result-holder>
    <semantic-search-result>
      <div class="panel gap">
        <div class="panel-body">
[[> Partial:tableCodices copyId=true ]]        
        </div>
      </div>
    </semantic-search-result>
  </semantic-search-result-holder>
</semantic-search>

[[> Partial:contentEnd]]
